SLABTOP(1)

NAME
slabtop - display kernel slab cache information in real time

SYNOPSIS
slabtop [options]

DESCRIPTION
slabtop displays detailed kernel slab cache information in real time. It displays a listing of the top caches sorted by one of the listed sort criteria. It also displays a statistics header filled with slab layer information.

OPTIONS
Normal invocation of slabtop does not require any options. The behavior, however, can be fine-tuned by specifying one or more of the following flags:

-d, --delay=N
    Refresh the display every n in seconds. By default, slabtop refreshes the display every three seconds. To exit the program, hit q. This cannot be combined with the -o option.

-s, --sort=S
    Sort by S, where S is one of the sort criteria.

-o, --once
    Display the output once and then exit.

-V, --version
    Display version information and exit.

-h, --help
    Display usage information and exit.

SORT CRITERIA
The following are valid sort criteria used to sort the individual slab caches and thereby determine what are the "top" slab caches to display. The default sort criteria is to sort by the number of objects ("o").

The sort criteria can also be changed while slabtop is running by pressing the associated character.
character | description | header
a | number of active objects | ACTIVE
b | objects per slab | OBJ/SLAB
c | cache size | CACHE SIZE
l | number of slabs | SLABS
v | number of active slabs | N/A
n | name | NAME
o | number of objects | OBJS
p | pages per slab | N/A
s | object size | OBJ SIZE
u | cache utilization | USE

COMMANDS
slabtop accepts keyboard commands from the user during use. The following are supported. In the case of letters, both cases are accepted.

Each of the valid sort characters are also accepted, to change the sort routine. See the section SORT CRITERIA.

<SPACEBAR>
    Refresh the screen.

Q   Quit the program.

FILES

/proc/slabinfo
    slab information

SEE ALSO
free(1), ps(1), top(1), vmstat(8)

NOTES
Currently, slabtop requires a 2.4 or later kernel (specifically, a version 1.1 or later /proc/slabinfo). Kernel 2.2 should be supported in the future.

The slabtop statistic header is tracking how many bytes of slabs are being used and is not a measure of physical memory. The 'Slab' field in the /proc/meminfo file is tracking information about used slab physical

AUTHORS
Written by Chris Rivera and Robert Love.

slabtop was inspired by Martin Bligh's perl script, vmtop.

REPORTING BUGS
Please send bug reports to procps@freelists.org